/************************************************************************************
 *    This file is part of the MynahSA streaming and archiving toolkit              *
 *    Copyright (C) 2006 Mynah-Software Ltd. All Rights Reserved.                   *
 *                                                                                  *
 *    This program is free software; you can redistribute it and/or modify          *
 *    it under the terms of the GNU General Public License, version 2               *
 *    as published by the Free Software Foundation.                                 *
 *                                                                                  *
 *    This program is distributed in the hope that it will be useful,               *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of                *
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
 *    GNU General Public License for more details.                                  *
 *                                                                                  *
 *    You should have received a copy of the GNU General Public License along       *
 *    with this program; if not, write to the Free Software Foundation, Inc.,       *
 *    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.                   *
 *                                                                                  *
 ************************************************************************************/

#ifndef __test_container_constructor_hpp
#define __test_container_constructor_hpp

#include <mynahsa/iarchiveregister.hpp>
#include <mynahsa/sslarchivestream.hpp>
#include <mynahsa/streamconstructor.hpp>

#include <mynahsa/tcparchivestream.hpp>

#include "testcontainer.hpp"

MYNAHSA_BUILD_CONSTRUCTOR(TestContainer);

/** Class TestContainerConstructor is responsible for initializing an IArchive stream s.t. it can 
 *  reconstruct TestContainerConstructor objects when received on the stream.
 */
class TestContainerStreamConstructor : public MynahSA::StreamConstructor { 
public:
  //! default constructor
  TestContainerStreamConstructor();
  
  //! default destructor
  virtual ~TestContainerStreamConstructor();

  //! constructor function
  virtual void operator()(MynahSA::ArchiveStreamBase&) const;
};



#endif
